import PySimpleGUI as sg
import cv2

layout = [
    [sg.Image(key="-IMAGE-")],
    [sg.Button("Bild laden"), sg.Button("Beenden")]
]

window = sg.Window("Bild laden und anzeigen", layout)

while True:
    event, values = window.read()

    if event == sg.WINDOW_CLOSED or event == "Beenden":
        break
    elif event == "Bild laden":
        filename = sg.popup_get_file("Bild laden", no_window=True)
        if filename:
            image = cv2.imread(filename)
            image_bytes = cv2.imencode('.png', image)[1].tobytes()
            window["-IMAGE-"].update(data=image_bytes)

window.close()